• 3
name

A PHP Error was encountered

Severity: Notice

Message: Undefined index: userid

Filename: views/question.php

Line Number: 191

Backtrace:

File: /home/prodcxja/public_html/questions/application/views/question.php
Line: 191
Function: _error_handler

File: /home/prodcxja/public_html/questions/application/controllers/Questions.php
Line: 433
Function: view

File: /home/prodcxja/public_html/questions/index.php
Line: 315
Function: require_once

I have a project in a VM with OS Ubuntu 14 LTS, php5.5 and mysql-server-5.5.

At the end of March I have cloned the Virtual Machine and successfully upgraded both of them from (ppa:ondrej/mysql-5.7) and (ppa:ondrej/php), and I kept the commands in a txt.

Today (30 July) I am trying to do the same in the production machine and I have this error:

E: Unable to locate package php7 Note, selecting 'libapache2-mod-php7.0' for regex 'php7.0' 0 upgraded, 0 newly installed, 0 to remove and 255 not upgraded.

Package mysql-server-5.7 is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source

E: Package 'mysql-server-5.7' has no installation candidate

I have try many ways to work around the issue with no results.
Can anyone knows what is the problem with ppa:ondrej ??

The Upgrade to Ubuntu 16 is tested and out of the question..

This PPA has been discontinued, because the base OS is out of (standard) support.

Only Supported Versions of PHP (http://php.net/supported-versions.php) for Supported Ubuntu Releases (https://wiki.ubuntu.com/Releases) are provided. Don't ask for end-of-life PHP versions or Ubuntu release, they won't be provided.

Since Ubuntu only provides paid support for a select number of server packages, an LTS release after the end of Standard Support is effectively EOL for most people. If you still need this, you can pay for the support and use the basic PHP 5.5(?) that are in this support offering.

  • 3
Reply Report

Warm tip !!!

This article is reproduced from Stack Exchange / Stack Overflow, please click

Trending Tags